<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>XHXKit: &lt;XHXTabbarDelegate&gt;协议 参考</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">XHXKit
   &#160;<span id="projectnumber">4.10.0.12</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- 制作者 Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'搜索');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','搜索');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('protocol_x_h_x_tabbar_delegate-p.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">构造函数</a> &#124;
<a href="protocol_x_h_x_tabbar_delegate-p-members.html">所有成员列表</a>  </div>
  <div class="headertitle">
<div class="title">&lt;XHXTabbarDelegate&gt;协议 参考</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#import &lt;<a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a>&gt;</code></p>
<div class="dynheader">
类 &lt;XHXTabbarDelegate&gt; 继承关系图:</div>
<div class="dyncontent">
 <div class="center">
  <img src="protocol_x_h_x_tabbar_delegate-p.png" usemap="#_3CXHXTabbarDelegate_3E_map" alt=""/>
  <map id="_3CXHXTabbarDelegate_3E_map" name="_3CXHXTabbarDelegate_3E_map">
<area href="interface_scroll_tab_view_controller.html" alt="ScrollTabViewController" shape="rect" coords="0,112,150,136"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
构造函数</h2></td></tr>
<tr class="memitem:a953ab7d523564308305c7dac0d5ce4f5"><td class="memItemLeft" align="right" valign="top">(BOOL)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a953ab7d523564308305c7dac0d5ce4f5">tabbar:shouldSelectedItemAtIndex:</a></td></tr>
<tr class="separator:a953ab7d523564308305c7dac0d5ce4f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a43b085ce53e2730b9e3b3de3f13174ed"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a43b085ce53e2730b9e3b3de3f13174ed">tabbar:willSelectItemAtIndex:</a></td></tr>
<tr class="separator:a43b085ce53e2730b9e3b3de3f13174ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a349533789e473beddd2d9b2d164582b2"><td class="memItemLeft" align="right" valign="top">(void)&#160;</td><td class="memItemRight" valign="bottom">- <a class="el" href="protocol_x_h_x_tabbar_delegate-p.html#a349533789e473beddd2d9b2d164582b2">tabbar:didSelectedItemAtIndex:</a></td></tr>
<tr class="separator:a349533789e473beddd2d9b2d164582b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">详细描述</h2>
<div class="textblock">
<p class="definition">在文件 <a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a> 第 <a class="el" href="_x_h_x_tabbar_8h_source.html#l00029">29</a> 行定义.</p>
</div><h2 class="groupheader">函数文档</h2>
<a id="a349533789e473beddd2d9b2d164582b2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a349533789e473beddd2d9b2d164582b2">&#9670;&nbsp;</a></span>tabbar:didSelectedItemAtIndex:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) tabbar: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)&#160;</td>
          <td class="paramname"><em>tabbar</em></td>
        </tr>
        <tr>
          <td class="paramkey">didSelectedItemAtIndex:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a953ab7d523564308305c7dac0d5ce4f5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a953ab7d523564308305c7dac0d5ce4f5">&#9670;&nbsp;</a></span>tabbar:shouldSelectedItemAtIndex:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (BOOL) tabbar: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)&#160;</td>
          <td class="paramname"><em>tabbar</em></td>
        </tr>
        <tr>
          <td class="paramkey">shouldSelectedItemAtIndex:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>是否能切换到指定index </p>

</div>
</div>
<a id="a43b085ce53e2730b9e3b3de3f13174ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a43b085ce53e2730b9e3b3de3f13174ed">&#9670;&nbsp;</a></span>tabbar:willSelectItemAtIndex:</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">- (void) tabbar: </td>
          <td></td>
          <td class="paramtype">(<a class="el" href="interface_x_h_x_tabbar.html">XHXTabbar</a> *)&#160;</td>
          <td class="paramname"><em>tabbar</em></td>
        </tr>
        <tr>
          <td class="paramkey">willSelectItemAtIndex:</td>
          <td></td>
          <td class="paramtype">(NSInteger)&#160;</td>
          <td class="paramname"><em>index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td></td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">optional</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>该协议的文档由以下文件生成:<ul>
<li>XHXKit/Classes/Tabbar/<a class="el" href="_x_h_x_tabbar_8h_source.html">XHXTabbar.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="protocol_x_h_x_tabbar_delegate-p.html">XHXTabbarDelegate</a></li>
    <li class="footer">制作者
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
